﻿#ifndef RP_PROCESS_LOG_CPP_PRINTER_H
#define RP_PROCESS_LOG_CPP_PRINTER_H

#include <chrono>
#include <rp_process_log/process_log_define.h>
#include <rp_process_log/process_log_cpp_base.h>

namespace rp_process_log {

CLASS_FORWARD(ProcessLogCppPrinter)


/**
*  @class ProcessLogCppPrinter
*  @brief 日志屏幕打印类
*  @author luyp
*/
class ProcessLogCppPrinter : public ProcessLogCppBase
{
public:
    ProcessLogCppPrinter(const char* module);
    virtual ~ProcessLogCppPrinter() = default;
    virtual void setConfig(const char* key, const char* val) override;
    virtual bool init(const char*) override;
    virtual bool process(LogRecordInfoPtr) override;
};

}

#endif  // RP_PROCESS_LOG_CPP_PRINTER_H
