#include <stdio.h>
#include <string.h>
#include <chrono>
#include <iostream>
#include <vector>
#include <map>
#include <rp_process_log/process_log_define.h>
#include <rp_process_log/process_log_cpp_forker.h>

namespace rp_process_log {


//REGIST_RP_PROCESS_LOG_MODULE("asyncer", ProcessLogCppForker)

ProcessLogCppForker::ProcessLogCppForker(const char* module) :
    ProcessLogCppBase(module)
{

}

ProcessLogCppForker::~ProcessLogCppForker()
{

}


bool ProcessLogCppForker::init(const char*)
{
    return true;
}

bool ProcessLogCppForker::process(LogRecordInfoPtr info)
{
    return ProcessLogCppBase::process(info);
}


void ProcessLogCppForker::setConfig(const char* key, const char* val)
{
    UNUSE(key);
    UNUSE(val);
}

}
