#include <stdio.h>
#include <iostream>
#include <string>
#include <map>
#include <rp_process_log/process_log_define.h>
#include <rp_process_log/process_log_cpp_printer.h>

#define DEBUG_LOG_NO_NEW_LINE(x) std::cout<<x<<std::flush

namespace rp_process_log {

//REGIST_RP_PROCESS_LOG_MODULE("printer", ProcessLogCppPrinter)

ProcessLogCppPrinter::ProcessLogCppPrinter(const char* module) :
    ProcessLogCppBase(module)
{

}

bool ProcessLogCppPrinter::init(const char*)
{
    return true;
}

bool ProcessLogCppPrinter::process(LogRecordInfoPtr info)
{
    DEBUG_LOG_NO_NEW_LINE(info->log);
    return ProcessLogCppBase::process(info);
}
#define GET_CONFIG_INFO_DATA(v, d) g_elementMap.count(v) ? g_elementMap[v] : d

void ProcessLogCppPrinter::setConfig(const char* key, const char* val)
{
    UNUSE(key);
    UNUSE(val);
}

}
